aboutsummaryrefslogtreecommitdiff
path: root/automated/android/monkey/monkey.sh
diff options
context:
space:
mode:
Diffstat (limited to 'automated/android/monkey/monkey.sh')
-rwxr-xr-xautomated/android/monkey/monkey.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/automated/android/monkey/monkey.sh b/automated/android/monkey/monkey.sh
index b865f8f7..c7707d25 100755
--- a/automated/android/monkey/monkey.sh
+++ b/automated/android/monkey/monkey.sh
@@ -86,3 +86,8 @@ if grep -q "Network stats: elapsed time=" "${LOGFILE}"; then
else
report_fail "monkey-network-stats"
fi
+
+if ! grep "Events injected: ${EVENT_COUNT}" "${LOGFILE}"; then
+ ## output the logcat information for debug when failed to run inject all the events
+ adb logcat -d -b all
+fi